# R2RML Parser

An R2RML implementation that can export relational database contents as RDF graphs, based on an [R2RML](http://www.w3.org/TR/r2rml/) mapping document. Contains an R2RML [mapping document](https://github.com/nkons/r2rml-parser/blob/master/dspace/dspace-mapping.rdf) for the [DSpace](http://www.dspace.org/) institutional repository solution.

For more information, please [visit the wiki](https://github.com/nkons/r2rml-parser/wiki).

Please send any feedback/questions by email to [nkons@live.com](mailto:nkons@live.com), or by direct message (dm) via twitter to [@nkonstantinou](https://twitter.com/nkonstantinou). We'll be happy to discuss how to export your data into RDF.

## Implementation details

R2RML implementation written fully in Java 7, using Apache Jena 2.7, Spring 3.2, JUnit 4.8, and Maven 3.0. Tested against MySQL 5.6 and PostgreSQL 9.2.

## Licence

This work is licensed under a Creative Commons Attribution-NonCommercial 3.0 Unported License.

http://creativecommons.org/licenses/by-nc/3.0/

You are free to use and distribute this work as long as you provide proper reference and respect the license terms.

## Publications

1. N. Konstantinou, D.E. Spanos, N. Houssos, N. Mitrou: "Exposing Scholarly Information as Linked Open Data: RDFizing DSpace contents". In The Electronic Library, 2014 (to appear) [(pdf)](http://www.cn.ntua.gr/~nkons/r2rml_parser-2014_post_peer-review.pdf)

1. N. Konstantinou, D.E. Spanos, N. Mitrou: "Transient and persistent RDF views over relational databases in the context of digital repositories". In 7th Metadata and Semantics Research Conference (MTSR'13), Thessaloniki, Greece, Springer, CCIS 390, pp. 342-354, November 2013 [(doi:10.1007/978-3-319-03437-9_33)](http://dx.doi.org/10.1007/978-3-319-03437-9_33) [(pdf)](http://www.cn.ntua.gr/~nkons/mtsr13.pdf)

1. N. Konstantinou, N. Houssos, A. Manta: "Exposing Bibliographic Information as Linked Open Data using Standards-based Mappings: Methodology and Results". In 3rd International Conference on Integrated Information (IC-ININFO'13), Prague, Czech Republic, September 2013 [(pdf)](http://www.cn.ntua.gr/~nkons/konstantinou_icininfo2013.pdf) [(slides)](http://www.slideshare.net/nkons/exposing-bibliographic-information-as-linked-open-data-using-standardsbased-mappings-methodology-and-results)
