/**
 * Licensed under the Creative Commons Attribution-NonCommercial 3.0 Unported 
 * License (the "License"). You may not use this file except in compliance with
 * the License. You may obtain a copy of the License at:
 * 
 *  http://creativecommons.org/licenses/by-nc/3.0/
 *  
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied.
 */
package gr.seab.r2rml.entities;

import gr.seab.r2rml.entities.sql.SelectQuery;

import java.util.ArrayList;

/**
 * The subject map holds information about how to create the subjects of the mappings.
 * @see LogicalTableMapping
 * @author nkons
 *
 */
public class SubjectMap {

	private Template template;
	private SelectQuery selectQuery;
	private ArrayList<String> classUris;
	
	/**
	 * Default constructor.
	 */
	public SubjectMap() {
	}
	
	/**
	 * @return the template
	 */
	public Template getTemplate() {
		return template;
	}
	/**
	 * @param template the template to set
	 */
	public void setTemplate(Template template) {
		this.template = template;
	}
	/**
	 * @return the selectQuery
	 */
	public SelectQuery getSelectQuery() {
		return selectQuery;
	}
	/**
	 * @param selectQuery the selectQuery to set
	 */
	public void setSelectQuery(SelectQuery selectQuery) {
		this.selectQuery = selectQuery;
	}
	/**
	 * @return the classUris
	 */
	public ArrayList<String> getClassUris() {
		return classUris;
	}
	/**
	 * @param classUris the classUris to set
	 */
	public void setClassUris(ArrayList<String> classUris) {
		this.classUris = classUris;
	}
}
